die "directory not found\n" unless -e $ARGV[0] && -d $ARGV[0];

my $filecount=0;
$ARGV[0] =~ s/\\$//;

print Show_Dir($ARGV[0]);

sub Show_Dir {
	my $path = shift(@_);

	opendir(DIR, $path) or die "can't open $path: $!\n";
	my @files = readdir(DIR);
	closedir(DIR);

	foreach my $file (@files) {
		next if $file =~ /^\.\.?$/;

		$file = $path."\\".$file;

		if (-d $file) {
			Show_Dir($file);	#recurse!
		}

		elsif (-f $file) {
			print "-f: $file\n";
			$filecount++;
			}

		else {
			print "else: $file\n";
		}

	}

	return "$filecount files";

}


